/*@ Produced by gnname.exe Sat Aug 14 11:29:50 1993 -- do not change directly */
/*******************************************************************************
* YORKTOWN ADVANCED SGML PARSER (YASP)                                         *
*         An SGML Parser conforming to International Standard ISO 8879 --      *
*         Standard Generalized Markup Language                                 *
*------------------------------------------------------------------------------*
* Written 1987 - 1993 by                                                       *
*         Pierre G. Richard                                                    *
*         IBM T.J. Watson Research Center                                      *
*         Yorktown Heights, New York                                           *
*         petrus@watson.ibm.com                                                *
*------------------------------------------------------------------------------*
* FUNCTION NAME    = YASP + Application / Header file                          *
* STATUS           = Version 0, Release 1, Level 34 and up                     *
* COMPONENT NAME   = pse.h                                                     *
* DESCRIPTIVE NAME = Indeces to tables returned by Parser Services.            *
* DATE_WR          = 01/07/1991                                                *
* AUTHOR           = Pierre G. Richard - PETRUS at YKTVMX                      *
*                                                                              *
* FUNCTIONAL DESCRIPTION =                                                     *
* This H file defines the values of the indeces to the delimiter, capacity     *
* and quantity tables returned by the QDLM, QCAPA and QQTY Parser Services.    *
*                                                                              *
* CHANGE HISTORY =                                                             *
* Number Date     Inits    Change & reason (brief)                             *
*******************************************************************************/
#ifndef YASP_PSE_INCLUDED  /* multiple include protection */
#define YASP_PSE_INCLUDED

/*-----------------------------------------------------------------------------+
| Indeces to the Delimiter Strings Table (QDLM_PSF)                            |
|                                                                              |
| The "Query the Concrete Delimiter Strings" Parser Service Function           |
| returns an array of delimiter strings.  The index to each specific           |
| delimiter string has the value listed below.                                 |
+-----------------------------------------------------------------------------*/
#define COM_ix                   0
#define CRO_ix                   1
#define ERO_ix                   2
#define ETAGO_ix                 3
#define LIT_ix                   4
#define LITA_ix                  5
#define MDC_ix                   6
#define MDO_ix                   7
#define MINUS_ix                 8
#define PERO_ix                  9
#define PIC_ix                  10
#define PIO_ix                  11
#define REFC_ix                 12
#define RNI_ix                  13
#define STAGO_ix                14
#define TAGC_ix                 15
#define VI_ix                   16
#define MDO_DSO_ix              17
#define MSC_MDC_ix              18

/*-----------------------------------------------------------------------------+
| Indeces to the Capacity Tables (QCAPA_PSF)                                   |
|                                                                              |
| The "Query Information About Capacities" Parser Service Function             |
| returns 3 tables:                                                            |
|  1)- an array of unsigned longs containing the count of each object,         |
|  2)- an array of unsigned integers defining the value in capacity            |
|      points for each object,                                                 |
|  3)- an array of unsigned longs containing the maximum capacity              |
|      points defined for each object                                          |
| The list below describes the index to a specific value of all 3 arrays,      |
| except TOTALCAP_ix that is valid only for the maximum capacity array.        |
+-----------------------------------------------------------------------------*/
#define ATTCAP_ix        0
#define ATTCHCAP_ix      1
#define AVGRPCAP_ix      2
#define DTACAP_ix        3
#define DTACHCAP_ix      4
#define ELEMCAP_ix       5
#define ENTCAP_ix        6
#define ENTCHCAP_ix      7
#define EXGRPCAP_ix      8
#define EXNMCAP_ix       9
#define GRPCAP_ix       10
#define IDCAP_ix        11
#define IDREFCAP_ix     12
#define LKNMCAP_ix      13
#define LKSETCAP_ix     14
#define MAPCAP_ix       15
#define NOTCAP_ix       16
#define NOTCHCAP_ix     17
#define TOTALCAP_ix     18
#define CAP_MAX_SIZE    19

/*-----------------------------------------------------------------------------+
| Indeces to the Capacity Tables (QQTY_PSF)                                    |
|                                                                              |
| The "Query the Quantities" Parser Service Function                           |
| returns an array of unsigned integers.  The index to each specific           |
| quantity value is listed below.                                              |
+-----------------------------------------------------------------------------*/
#define ATTCNT_ix                0
#define ATTSPLEN_ix              1
#define BSEQLEN_ix               2
#define DTAGLEN_ix               3
#define DTEMPLEN_ix              4
#define ENTLVL_ix                5
#define GRPCNT_ix                6
#define GRPGTCNT_ix              7
#define GRPLVL_ix                8
#define LITLEN_ix                9
#define NAMELEN_ix              10
#define NORMSEP_ix              11
#define PILEN_ix                12
#define TAGLEN_ix               13
#define TAGLVL_ix               14

#endif /* YASP_PSE_INCLUDED */
/*@ End of production (gnname.exe) ------------------------------------------ */
